Mono.Addins 0.4.0.0 1.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly, AllowMultiple=true) Declares an extension point in an add-in assembly.

When applied to an assembly, defines a new extension point. For example, the following declaration:

`[assembly: ExtensionPoint ("/SimpleApp/Writers", NodeName="Writer", Description="Writer classes")]`

would be equivalent to the following manifest declaration:

`<ExtensionPoint path = "/SimpleApp/Writers"> <Description>Writer classes</Description> <ExtensionNode id = "Writer" /> </ExtensionPoint>`
- Constructor
  Initializes a new instance.
  0.4.0.0
- Constructor
  Path of the extension point.
  Initializes a new instance.
  0.4.0.0
- Constructor
  Path of the extension point.
  Node type allowed in this extension point.
  Initializes a new instance.
  0.4.0.0
- Constructor
  Path of the extension point.
  Name of extension nodes.
  Node type allowed in this extension point.
  Initializes a new instance.
  0.4.0.0
- Property
  System.String Long description of the extension point. Long description of the extension point. Description to be shown in the extension point documentation. 0.4.0.0
- Property
  System.String Display name of the extension point. Display name of the extension point. This is the name to be shown in the extension point documentation. 0.4.0.0
- Property
  System.String Name of extension nodes. Name of nodes. Name to be used by nodes which extend this extension point. 0.4.0.0
- Property
  System.Type Node type allowed in this extension point. A subclass of . Extension points declared using this attribute can only accept one type of extension node. To allow several types in an extension point, it has to be declared in an xml manifest. 0.4.0.0
- Property
  System.Type To be added. To be added. To be added. 0.4.0.0
- Property
  System.String Path of the extension point. Path of the extension point. Every extension point is identified by a path. The add-in ecosystem of an application can be seen as a tree of extension points, each of which can be reached using a path, like a file path in a file system. 0.4.0.0